Catmandu::Fix::Bind::identity(3pm)

NAME
Catmandu::Fix::Bind::identity - a binder that doesn't influence computation

SYNOPSIS
        do identity()
           fix1()
           fix2()
           fix3()
           .
           .
           .
           fixN()
        end

        # will have the same (side)effects as

        fix1()
        fix2()
        fix3()
        .
        .
        .
        fixN()

DESCRIPTION
The identity binder doesn't embody any computational strategy. It simply applies the bound fix functions to its input without any modification.

SEE ALSO
Catmandu::Fix::Bind